Skip to Content
New release 12 available 🎉

Contacts

All PUT endpoints update only the fields present in the body; see Updating Resources.

GET/v1/contactsGET /v1/contacts

Code samples

# You can also use wget curl -X GET /v1/contacts \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

GET /v1/contacts

Retrieves a list of contacts based on the provided request parameters.

Parameters

NameInTypeRequiredDescription
selectquerystringfalsenone
filterquerystringfalsenone
sortquerystringfalsenone
takequeryinteger(int32)falsenone
skipqueryinteger(int32)falsenone

Example responses

200 Response

{"success":true,"code":0,"message":"string","contacts":[{"id":0,"title":"string","firstName":"string","lastName":"string","email":"string","phone":"string","mobile":"string","fax":"string","details":"string","notify":true,"customerId":0,"meta":"string"}],"totalContactsCount":0}
{ "success": true, "code": 0, "message": "string", "contacts": [ { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "email": "string", "phone": "string", "mobile": "string", "fax": "string", "details": "string", "notify": true, "customerId": 0, "meta": "string" } ], "totalContactsCount": 0 }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.GetContactsResponse

Authentication: API key (x-api-key).

POST/v1/contactsPOST /v1/contacts

Code samples

# You can also use wget curl -X POST /v1/contacts \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

POST /v1/contacts

Inserts a new contact based on the provided request parameters.

Body parameter

{ "contact": { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "email": "string", "phone": "string", "mobile": "string", "fax": "string", "details": "string", "notify": true, "customerId": 0, "meta": "string" } }

Parameters

NameInTypeRequiredDescription
bodybodyManagement.InsertContactRequestfalseThe request parameters for inserting a new contact.

Example responses

200 Response

{"contactId":0,"success":true,"code":0,"message":"string"}
{ "contactId": 0, "success": true, "code": 0, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.InsertContactResponse

Authentication: API key (x-api-key).

PUT/v1/contactsPUT /v1/contacts

Code samples

# You can also use wget curl -X PUT /v1/contacts \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

PUT /v1/contacts

Updates an existing contact based on the provided request parameters.

Body parameter

{ "contact": { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "email": "string", "phone": "string", "mobile": "string", "fax": "string", "details": "string", "notify": true, "customerId": 0, "meta": "string" } }

Parameters

NameInTypeRequiredDescription
bodybodyManagement.UpdateContactRequestfalseThe request parameters for updating a contact.

Example responses

200 Response

{"success":true,"code":0,"message":"string"}
{ "success": true, "code": 0, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.UpdateContactResponse

Authentication: API key (x-api-key).

DELETE/v1/contacts/{contactId}DELETE /v1/contacts/{contactId}

Code samples

# You can also use wget curl -X DELETE /v1/contacts/{contactId} \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

DELETE /v1/contacts/\{contactId\}

Deletes an existing contact based on the provided request parameters.

Parameters

NameInTypeRequiredDescription
contactIdpathinteger(int32)trueThe ID of the contact to delete.

Example responses

200 Response

{"success":true,"code":0,"message":"string"}
{ "success": true, "code": 0, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.DeleteContactResponse

Authentication: API key (x-api-key).

Last updated on